<!doctype html>
<html lang="en">
<head>
<title>149-ruby-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"># Ruby team BoF agenda</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Introductions</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">Let's make a round of introductions so we can meet any new team member joining us today :)</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- kanashiro</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- utkarsh</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- </span><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">praveen</span><br><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">- ananthu</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Some statistics</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">Thanks Andreas for providing data through teammetrics!</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/authorstat_debian-ruby.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/bugs_pkg-ruby.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/commitstat_ruby-team.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/maintainer_per_package_ruby-team.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/uploaders_pkg-ruby.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">http://blends.debian.net/liststats/wnpp_pkg-ruby.png</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">it would be good to have the evolution of the number of bugs open too...</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">about the curve of maintainers: does it count unique names in salsa commits, or the Uploaders field of the control file?</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Ruby 3.3 transition</span><br><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"></span><br><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">[FEEDBACK] Sprint during DebCamp does not work as well as we thought</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"> - we have a lot of distractions and not focused work hours. OTOH, dedicated sprints have proved to work much better and are effective. The post sprints reports support the same. We should look to organize dedicated sprints from hereon, if at all. :)</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">This subject was raised in our mailing list recently:</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">https://lists.debian.org/debian-ruby/202</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">4/07/msg00003</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">.html</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">Steps before we really start the transition:</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Package ruby 3.</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">3</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"> (upload to experimental)</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"> DONE</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Update ruby-defaults to use ruby 3.</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">3</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"> as an alternative interpreter (upload to</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">experimental)</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"> DONE</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Rebuild reverse dependencies and file bugs if any issue is found</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"> (Rebuilds are done, no mass bug filing)</span><br><ul class="indent"><li><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">*</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">- https://people.debian.org/~kanashiro/debian/ruby3.3/builds/</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span></ul><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Fix all issues</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"> (Need help on this!)</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Start the transition in unstable (coordinate with the release team), planned for </span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">July/August</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- [ACTION] Lucas to send an update to the list.</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Rails 7 transition</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Hard transition, breaking changes</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Try to not entangle with ruby transition</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Start after ruby 3.</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">3</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"> transition</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Rack 3 transition</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Maybe do it together with the rails 7 transition</span><br><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826"></span><br><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">## Gitlab</span><br><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">- we only have a soft dependency on ruby gem packages, but would like to fix bundler before dropping all dependencies</span><br><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">- bundler needs to be fixed for --prefer-local option and then we can drop packages only needed for gitlab https://github.com/rubygems/rubygems/issues/6705</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- [ACTION] Praveen to </span><span class="a_2NhWcx48SXP2Bw5A" title="a_2NhWcx48SXP2Bw5A" style="background-color:#7c5826">send a call for help in ruby-team list</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">.</span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Next sprint?</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- We had no sprints last time, we should proactively plan better this time.</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Japan looks pretty reasonable, Hideki, what do you think?</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Paris is still doable, depending on the calendar</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Terceiro mentioned he could try to host the sprint in Salvador, Bahia, Brazil</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- [ACTION] Leave it with Utkarsh and Praveen to discuss the Rails 7 and Rack 4 transition shenanigans and the way forward and they'll get back by the end of the August.</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">## RuboCop::Packaging update! \o/</span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- https://github.com/utkarsh2102/rubocop-packaging/</span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- https://rubygems.org/gems/rubocop-packaging</span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- Drop many patches from our packages, lowering the maintenance burden</span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- Development is not so active but it is still really helpful for upstream maintainers</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## Inactivity in our team</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- After sprints and release our team reduces the amount of work done</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- This has been the usual now - so should we accept it as-is? (:</span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b"></span><br><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">- </span><span class="a_RU69MrwKCyfpk1d4" title="a_RU69MrwKCyfpk1d4" style="background-color:#a0648b">[ACTION ITEM] Restart the monthly IRC meetings (kanashiro)</span><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">## MiniDebConf 24 in Japan (DebConf 26?)</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae"></span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Great ruby community there</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">- Maybe use those events to improve our relationship with upstream maintainers</span><br><span class="a_IHe2zV3DdWx1bQeq" title="a_IHe2zV3DdWx1bQeq" style="background-color:#c71aae">-</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
